Get subscription plan - Plans - Mercado Pago Developers
Get a subscription plan

Obtains all the information of a plan from its ID

GET

https://api.mercadopago.com/preapproval_plan/{id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
id
string

REQUIRED

Subscription plan identifier.
Response parameters
id
string
Unique subscription plan identifier.
application_id
number
Unique ID that identifies your application/integration. One of the keys in the pair that make up the credentials that identify an application/integration in your account.
collector_id
number
Unique ID that identifies your user as a seller. This ID matches your User ID in our ecosystem.
reason
string
It is a short description that the subscriber will see during the checkout process and in the notifications.
Errors

401Error

401

Unauthorized

404Error

404

Not-found

500Error

500

Error

Request
curl -X GET \
    'https://api.mercadopago.com/preapproval_plan/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": "2c938084726fca480172750000000000",
  "application_id": 1234567812345678,
  "collector_id": 100200300,
  "reason": "Yoga classes",
  "auto_recurring": {
    "frequency": 1,
    "frequency_type": "months",
    "repetitions": 12,
    "billing_day": 10,
    "billing_day_proportional": true,
    "free_trial": {
      "frequency": 7,
      "frequency_type": "months",
      "first_invoice_offset": 7
    },
    "transaction_amount": 10,
    "currency_id": "ARS"
  },
  "payment_methods_allowed": {
    "payment_types": [
      {}
    ],
    "payment_methods": [
      {}
    ]
  },
  "back_url": "https://www.mercadopago.com.ar",
  "external_reference": "23546246234",
  "init_point": "https://www.mercadopago.com.ar/subscriptions/checkout?preapproval_plan_id=2c938084726fca480172750000000000",
  "date_created": "2022-01-01T11:12:25.892-04:00",
  "last_modified": "2022-01-01T11:12:25.892-04:00",
  "status": "active"
}